<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [bitburner](./bitburner.md) &gt; [WarehouseAPI](./bitburner.warehouseapi.md) &gt; [getProduct](./bitburner.warehouseapi.getproduct.md)

## WarehouseAPI.getProduct() method

Get product data.

**Signature:**

```typescript
getProduct(divisionName: string, cityName: CityName | `${CityName}`, productName: string): Product;
```

## Parameters

|  Parameter | Type | Description |
|  --- | --- | --- |
|  divisionName | string | Name of the division |
|  cityName | [CityName](./bitburner.cityname.md) \| \`${[CityName](./bitburner.cityname.md)<!-- -->}\` | Name of the city |
|  productName | string | Name of the product |

**Returns:**

[Product](./bitburner.product.md)

Product data

## Remarks

RAM cost: 10 GB

